<!DOCTYPE html>
{% load i18n extras cms_tags static el_menu menu_tags %}
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <title>{% block alltitle %}{% block title %}{{ title|default:"Draw Freely" }}{% endblock %} | Inkscape{% endblock %}</title>
    <meta charset="utf-8"/>

    <link rel="shortcut icon" href="{% static "images/inkscape-logo.png" %}"/>

    {% block "css" %}
      <link rel="stylesheet" type="text/css" href="{% static "css/main.css" %}"/>
      <link rel="stylesheet" type="text/css" href="{% static "css/text.css" %}"/>
      <link rel="stylesheet" type="text/css" href="{% static "css/gallery.css" %}"/>
      <link rel="stylesheet" type="text/css" href="{% static "css/ink.css" %}"/>
    {% endblock %}

    {% for language in LANGUAGES %}
      <link rel="alternate" hreflang="{{ language.0 }}" href="{% page_language_url language.0 %}">
    {% endfor %}

    <link rel="alternate"   type="application/rss+xml" title="{% trans "News Feed" %}" href="{% url "news:rss" %}"/>
    {% if rss_url %}
      <link rel="alternate" type="application/rss+xml" title="{% trans "RSS Feed" %}" href="{{ rss_url }}" />
    {% endif %}

    {% block "js" %}
      <script type="text/javascript" src="{% static "admin/js/vendor/jquery/jquery.min.js" %}"></script>
      <script type="text/javascript" src="{% static "js/js.cookie.js" %}"></script>
      <script type="text/javascript" src="{% static "js/inkscape.js" %}"></script>
    {% endblock %}

    <!-- Sekizai blocks are deprecated, when django-cms stops using them, remove -->
    {% load sekizai_tags %}{% render_block "css" %}{% render_block "js" %}

    {% if form %}{{ form.media }}{% endif %}
    {% if formset %}{{ formset.media }}{% endif %}

    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" type="text/css" href="{% static "css/mobile-device.css" %}"
      media="only screen and (max-width: 959px)"/>

    <meta name="author" content="{% trans "Inkscape Website Developers" %}" />
    <meta name="description" content="{% block headerdesc %}{% endblock %}" />
    <meta name="keywords" content="inkscape,{% block keywords %}{% trans "vector,drawing,graphics,svg,xml,document,poster,linux,open source,foss,floss,free software,libre software,libre,freedom,line,shape,diagram,flowchart,graph,extension,plugin,software,download,platform,windows,win,mac,osx,ubuntu,fedora,debian,help,tutorial,chat,irc,home,homepage,professional,casual,powerful,text,web,www,w3c,standard" %}{% endblock %}" />
  </head>

<body id="page-{% block body-pageid %}{{ PAGE_ID }}{% endblock %}" class="{% if LANGUAGE_BIDI %}rtl {% endif %}{% block body-classes %}{% endblock %}">
  {% cms_toolbar %}

  <div class="header">
    <div id="cleartop">
      <div id="logo">
        {% block logo %}
          <a href="/"><img src="{% block logo-url %}{% static "images/inkscape-logo.svg" %}{% endblock %}"
             width="64" height="64" alt="Inkscape"/></a>
          <h1><a href="/" tabindex="-1">Inkscape</a></h1>
          <h2><a href="/" tabindex="-1">{% trans "Draw Freely." %}</a></h2>
        {% endblock %}
      </div>
      <div id="header-right">
        <ul id="tabs">
          {% render_tabs lang=lang %}

          {% language_chooser "languages.html" %}

          {% if not request.user.is_authenticated %}
            <li id="tab_login">
              <p><a href="{% url "auth_login" %}?next={{ request.path }}">{% trans "Log in" %}</a></p>
            </li>
            <li id="tab_register">
              <p><a href="{% url "auth_register" %}">{% trans "Register" %}</a></p>
            </li>
          {% else %}
            <li id="tab_user" class="dropdown">
              <p>{{ request.user.name }}</p>
              <div>
                <p style="text-align: center;"><a href="{{ request.user.get_absolute_url }}"><img class="userphoto" src="{{ request.user.photo_url }}" alt="{% trans "Profile Photo" %}"/></a></p>
                <hr/>
                {% if request.user.is_moderator %}
                  <p><a href="{% url "moderation:index" %}">{% trans "Moderation" %}</a></p>
                {% endif %}
                {% if request.user.is_staff %}
                  <p><a href="/admin/">{% trans "Administration" %}</a></p>
                  <p><a href="{% url "cog:errors" %}">{% trans "Site Errors" %}</a></p>
                {% endif %}
                <p><a href="{% url "edit_profile" %}">{% trans "My Settings" %}</a></p>
                <p><a href="{% url "auth_logout" %}?next={{ request.path }}">{% trans "Logout" %}</a></p>
              </div>
            </li>

            {% include "alerts/menu.html" %}
            {% include "resources/menu.html" %}
          {% endif %}
        </ul>
        {% block rightheader %}
        <form id="topsearch" method="get" action="{% url "search" %}">
          <input type="text" name="q" id="q" placeholder="{% trans "Search website" %}">
          <button><img src="{% static "images/search.svg" %}" alt="{% trans "Search" %}"/></button>
        </form>
        {% endblock %}
      </div>
    </div>
    {% block menu %}
      <div class="nav">
        <button id="menu-toggle"><div></div><div></div><div></div></button>
        {% get_current_language as lang %}
        {% render_menu lang=lang %}
      </div>
    {% endblock %}
    {% if messages %}
      <ul id="messages">{% for message in messages %}<li{% if message.tags %} class="{{ message.tags }}"{% endif %} title="{{ message.tags }}">
        {% if 'safe' in message.tags %}{{ message|safe }}{% else %}{{ message }}{% endif %}
      </li>{% endfor %}</ul>
    {% endif %}
  </div>

  {% block supercontent %}
    {% block "precontent" %}{% endblock %}
    <div id="content"{% block contentclasses %}{% endblock %}>
      <div class="wrapper">
        {% block "breadcrumbs" %}
          {% include "breadcrumbs.html" %}
        {% endblock %}
        {% block content %}{% endblock %}
        {% block "pagination" %}{% include "pagination.html" %}{% endblock %}
      </div>
    </div>
  {% endblock %}

  {% block footer %}
    <div class="footer">
      <div class="nav">
        {% block footer-nav %}
        <ul>
          {% for item in nav %}
          <li><a href="{{ item.href }}"{% if item.current %} class="current"{% endif %}>{{ item.title }}</a><ul>
            {% for subitem in item %}
            <li><a href="{{ subitem.href }}">{{ subitem.title }}</a></li>
            {% endfor %}
          </ul></li>
          {% endfor %}
        </ul>
        {% endblock %}
      </div>
      <p>
        {% block "foot" %}
          {% blocktrans with "http://www.gnu.org/licenses/gpl-2.0.html" as gpl_url %}Inkscape is Free and Open Source Software licensed under the <a href="{{ gpl_url }}">GPL</a>.{% endblocktrans %}
        {% endblock %}
      </p>
    </div>
  {% endblock %}

  {% block finalfooter %}
    <p id="final-footer">
      <span>{% trans "With thanks to:" %}</span>
      {% render_foot lang=lang %}
      <a href="{% url "authors" %}" title="{% trans "The Authors" %}">{% trans "The Authors" %}</a>
      <a id="dev-stamp" href="https://gitlab.com/inkscape/inkscape-web"><img src="{% static "images/django.svg" %}" title="{% trans "This site is running:" %}
Python {{ PYTHON_VERSION }}
Django {{ DJANGO_VERSION }}{% if current_page %}
App: CMS [{{ current_page }}]{% else %}
App: {% app_info request object object_list form %}{% endif %}
InkscapeWeb {{ WEBSITE_VERSION }}, as of {{ WEBSITE_REVISION }}" alt="PY"/></a>
    </p>
  {% endblock %}

{% if TRACKER_URL and TRACKER_API_KEY %}
<!-- Piwik -->
<script type="text/javascript">
  var _paq = _paq || [];
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    _paq.push(['setTrackerUrl',  '{{ TRACKER_URL }}']);
    _paq.push(['setApiToken', '{{ TRACKER_API_KEY }}']);
    _paq.push(['setSiteId', {{ TRACKER_SITE_ID }}]);

    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.type='text/javascript'; g.async=true; g.defer=true; g.src='{% static "js/piwik.js" %}'; s.parentNode.insertBefore(g,s);
  })();
</script>
<!-- End Piwik Code -->
{% endif %}
</body>
</html>
